﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace feladat
{
    class Program
    {
        static void Beolvasás(out int N, int[] Számok)
        {
            //Elemszám beolvasása
            //A felhasználónak szánt tájékoztató üzenetek az Error csatotnára írandók! A standard output így nézne ki: Console.WriteLine("Hány eleme van a tömbnek?");
            //Például a kérdések:
            Console.Error.WriteLine("Hány számot olvasunk be? ");
            N = Convert.ToInt32(Console.ReadLine());
            //A tömb beolvasása
            for (int i = 0; i<N; i++)
            {
                Console.Error.WriteLine("A(z) "+(i+1)+". elem: ");
                Számok[i] = Convert.ToInt32(Console.ReadLine());
            }
        }

        static void Páros_Páratlan_Max(int N, int[] Számok, out bool Van_Páros, out bool Van_Páratlan, out int Max_Páros, out int Max_Páratlan, out int Maxért_Páros, out int Maxért_Páratlan)
        {
            Maxért_Páros = Int32.MinValue;//-végtelen
            Maxért_Páratlan = Int32.MinValue;
            Max_Páros = -1;//Ezzel jelezzük, hogy még nincs ilyen szám
            Max_Páratlan = -1;
            for (int i=0;i<N;i++)
            {
                if (Számok[i] % 2 == 0)
                {
                    if (Számok[i] > Maxért_Páros)
                    {
                        Maxért_Páros = Számok[i];
                        Max_Páros = i+1;
                    }
                }
                else
                {
                    if (Számok[i] > Maxért_Páratlan)
                    {
                        Maxért_Páratlan = Számok[i];
                        Max_Páratlan = i+1;
                    }
                }
            }
            Van_Páros = Maxért_Páros != Int32.MinValue;
            Van_Páratlan = Maxért_Páratlan != Int32.MinValue;
        }

        static void Kiírás(bool Van_Páros, bool Van_Páratlan, int Max_Páros, int Max_Páratlan,int Maxért_Páros, int Maxért_Páratlan)
        {
            //A kimenetet kísérő szövegek is az Error csatornára irandók!
            if (Van_Páros)
            {
                Console.Error.Write("A legnagyobb páros szám helye és értéke: ");
                Console.WriteLine(Max_Páros+" "+Maxért_Páros);
            }
            else
            {
                Console.WriteLine("NINCS PÁROS");
            }
            if (Van_Páratlan)
            {
                Console.Error.Write("A legnagyobb páratlan szám helye és értéke: ");
                Console.WriteLine(Max_Páratlan + " " + Maxért_Páratlan);
            }
            else
            {
                Console.WriteLine("NINCS PÁRATLAN");
            }

        }

        static void Main(string[] args)
        {
            //F4. Adott N db egész szám. Adjuk meg közülük a legnagyobb páros, illetve a legnagyobb párat-lan számot!
            //Maximális elemszám
            const int MaxN = 100;
            //A tömb elemszámának deklarálása
            int N;
            //A tömb deklarálása
            int[] Számok = new int[MaxN];
            //Kimeneti adatok deklarálása
            bool Van_Páros;
            bool Van_Páratlan;
            int Max_Páros;
            int Max_Páratlan;
            int Maxért_Páros;
            int Maxért_Páratlan;
            //Beolvasás
            Beolvasás(out N, Számok);//out N: N kimeneti paraméter, tömbnél nincs külön jelölése
            //Lényegi megoldás
            Páros_Páratlan_Max(N,Számok,out Van_Páros,out Van_Páratlan,out Max_Páros,out Max_Páratlan,out Maxért_Páros,out Maxért_Páratlan);
            //Kiírás
            Kiírás(Van_Páros,Van_Páratlan,Max_Páros,Max_Páratlan,Maxért_Páros,Maxért_Páratlan);
        }
    }
}
