//package sablon;

import java.io.IOException;
import java.lang.Math;
import java.io.PrintStream;

import mester.IO;

//Adott N db egész szám. Adjuk össze közülük a párosakat!
public class feladat {

    public feladat() {
    }

    static final int MaxN = 100;

    static class Input {
        int N;
        int[] Szamok = new int[MaxN];
    }

    static class Output {
        int Paros_Osszeg;
    }

    static Input beolvas(IO io) throws IOException {
        PrintStream cerr = System.err;
        Input input = new Input();
        cerr.print("Hany szam van? ");
        input.N = io.nextInt();

        for (int i = 0; i < input.N; i++) {
            cerr.print("Az " + (i + 1) + ". szam = ");
            input.Szamok[i] = io.nextInt();
        }
        return input;
    }

    static void kiir(IO io, Input input, Output output) throws IOException {
        io.writeLn(output.Paros_Osszeg);
    }

    static Output megold(Input input) {
        Output output = new Output();
        output.Paros_Osszeg = 0;
        for (int i = 1; i <= input.N; i++) {
            if (input.Szamok[i - 1] % 2 == 0) {
                output.Paros_Osszeg += input.Szamok[i - 1];
            }
        }
        return output;
    }

    public static void main(String[] args) throws Exception {
        IO io = new IO();

        Input input = beolvas(io);

        Output output = megold(input);

        kiir(io, input, output);

        io.close();
    }

}