//package sablon;

import java.io.IOException;
import java.lang.Math;
import java.io.PrintStream;

import mester.IO;

// Adott N db egész szám. Adjuk meg közülük a legnagyobb páros számot!
public class feladat {

    public feladat() {
    }

    static final int MaxN = 100;

    static class Input {
        int N;
        int[] Szamok = new int[MaxN];
    }

    static class Output {
        boolean Van;
        int Max;
    }

    static Input beolvas(IO io) throws IOException {
        PrintStream cerr = System.err;
        Input input = new Input();
        cerr.print("Hany szam van? ");
        input.N = io.nextInt();
        for (int i = 1; i <= input.N; i++) {    // A 0. elemet kihagyva töltjük fel a tömböt
            cerr.print("Az " + (i) + ". szam = ");
            input.Szamok[i] = io.nextInt();
        }
        return input;
    }

    static void kiir(IO io, Input input, Output output) throws IOException {
        PrintStream cerr = System.err;
        if (output.Van) {
            cerr.print("A legnagyobb paros szam: ");
            io.writeLn(input.Szamok[output.Max]);
        } else {
            io.writeLn("NINCS");
        }

    }

    static Output Legnagyobb_Paros_Szam(Input input) {
        Output output = new Output();
        output.Max = 0;
        input.Szamok[0] = Integer.MIN_VALUE;
        for (int i = 1; i <= input.N; i++) {
            if ((input.Szamok[i] % 2 == 0) && (input.Szamok[i] > input.Szamok[output.Max])) {   // 1-től vannak az elemek a tömbben
                output.Max = i;
            }
        }
        output.Van = (output.Max != 0);
        return output;
    }

    public static void main(String[] args) throws Exception {
        IO io = new IO();

        Input input = beolvas(io);

        Output output = Legnagyobb_Paros_Szam(input);

        kiir(io, input, output);

        io.close();
    }

}