//package sablon;

import java.io.IOException;
import java.lang.Math;
import java.io.PrintStream;

import mester.IO;


public class feladat {

    public feladat() {
    }

    static final int MaxN = 100;

    static class Input {
        int N;
        int[] Szamok = new int[MaxN];
    }

    static class Output {
        boolean Van_Paros;
        boolean Van_Paratlan;
        int Max_Paros;
        int Max_Paratlan;
        int Maxert_Paros;
        int Maxert_Paratlan;
    }

    static Input beolvas(IO io) throws IOException {
        PrintStream cerr = System.err;
        Input input = new Input();
        cerr.print("Hany szam van? ");
        input.N = io.nextInt();
        for (int i = 0; i < input.N; i++) {
            cerr.print("Az " + (i + 1) + ". szam = ");
            input.Szamok[i] = io.nextInt();
        }
        return input;
    }

    static void kiir(IO io, Input input, Output output) throws IOException {
        PrintStream cerr = System.err;
        if (output.Van_Paros) {
            cerr.print("Van paros szam, a legnagyobb indexe es erteke: ");
            io.writeLn(output.Max_Paros + " " + output.Maxert_Paros);
        } else {
            io.writeLn("NINCS PAROS");
        }
        if (output.Van_Paratlan) {
            cerr.print("Van paratlan szam, a legnagyobb indexe es erteke: ");
            io.writeLn(output.Max_Paratlan + " " + output.Maxert_Paratlan);
        } else {
            io.writeLn("NINCS PARATLAN");
        }
    }

    static Output Paros_Paratlan_Max(Input input) {
        Output output = new Output();
        output.Maxert_Paros = Integer.MIN_VALUE;
        output.Maxert_Paratlan = Integer.MIN_VALUE;
        for (int i = 1; i <= input.N; i++) {
            if (input.Szamok[i - 1] % 2 == 0) {
                if (input.Szamok[i - 1] > output.Maxert_Paros) {
                    output.Maxert_Paros = input.Szamok[i - 1];
                    output.Max_Paros = i;
                }
            } else {
                if (input.Szamok[i - 1] > output.Maxert_Paratlan) {
                    output.Maxert_Paratlan = input.Szamok[i - 1];
                    output.Max_Paratlan = i;
                }
            }
        }
        output.Van_Paros = (output.Maxert_Paros != Integer.MIN_VALUE);
        output.Van_Paratlan = (output.Maxert_Paratlan != Integer.MIN_VALUE);
        return output;
    }

    public static void main(String[] args) throws Exception {
        IO io = new IO();

        Input input = beolvas(io);

        Output output = Paros_Paratlan_Max(input);

        kiir(io, input, output);

        io.close();
    }

}