/*
Adott N db egész szám. Adjuk meg közülük a legnagyobb páros számot!
*/
#include <iostream>
#include <climits>

using namespace std;

const int MAXN = 100;
typedef int SzamSorozat[MAXN + 1];  // A fiktív 0. elem miatt eggyel nagyobb tömb kell
// Bemenet
int N;
SzamSorozat Szamok;
// Kimenet
bool Van;
int Max;

void Beolvasas(int &N, SzamSorozat Szamok) {
  clog << "Hany szam van? ";
  cin >> N;
  for (int i = 1; i <= N; i++) {    // A 0. elemet kihagyva töltjük fel a tömböt
    clog << "Az " << i << ". szam = ";
    cin >> Szamok[i];
  }
}

void Legnagyobb_Paros_Szam(const int N, SzamSorozat Szamok, bool &Van, int &Max) {
  Max = 0;
  Szamok[0] = INT_MIN;
  for (int i = 1; i <= N; i++) {
    if (Szamok[i] % 2 == 0 and Szamok[i] > Szamok[Max]) {   // 1-től vannak az elemek a tömbben
      Max = i;
    }
  }
  Van = (Max != 0);
}

void Kiiras(const bool Van, const int Max, const SzamSorozat Szamok) {
  if (Van) {
    clog << "A legnagyobb paros szam: ";
    cout << Szamok[Max] << endl;
  } else {
    cout << "NINCS" << endl;
  }
}

int main() {
  
  Beolvasas(N, Szamok);
  Legnagyobb_Paros_Szam(N, Szamok, Van, Max);
  Kiiras(Van, Max, Szamok);
  
  return 0;
}