/*
Adott N db egész szám. Gyűjtsük ki közülük páros számok négyzeteit!
*/
#include <iostream>

using namespace std;

const int MAXN = 100;
typedef int SzamSorozat[MAXN];
// Bemenet
int N;
SzamSorozat Szamok;
// Kimenet
int Db;
SzamSorozat Paros_Negyzetek;

void Beolvasas(int &N, SzamSorozat Szamok) {
  clog << "Hany szam van? ";
  cin >> N;
  for (int i = 0; i < N; i++) {
    clog << "Az " << i + 1 << ". szam = ";
    cin >> Szamok[i];
  }
}

void Kivalogatas_masolas(const int N, const SzamSorozat Szamok, 
                         int &Db, SzamSorozat &Paros_Negyzetek) {
  Db = 0;
  for (int i = 1; i <= N; i++) {
    if (Szamok[i - 1] % 2 == 0) {
      Paros_Negyzetek[Db] = Szamok[i - 1] * Szamok[i - 1];
      Db = Db + 1;
    }
  }
}

void Kiiras(const int Db, const SzamSorozat Paros_Negyzetek) {
  cout << Db;
  for (int i = 1; i <= Db; i++) {
    cout << " " << Paros_Negyzetek[i - 1];
  }
  cout << endl;
}

int main() {
  
  Beolvasas(N, Szamok);
  Kivalogatas_masolas(N, Szamok, Db, Paros_Negyzetek);
  Kiiras(Db, Paros_Negyzetek);
  
  return 0;
}