/*
Adott N db egész szám. Adjuk meg közülük a legnagyobb páros, illetve a legnagyobb páratlan számot!
*/
#include <iostream>
#include <climits>

using namespace std;

const int MAXN = 100;
typedef int SzamSorozat[MAXN];
// Bemenet
int N;
SzamSorozat Szamok;
// Kimenet
bool Van_Paros;
bool Van_Paratlan;
int Max_Paros;
int Max_Paratlan;
int Maxert_Paros;
int Maxert_Paratlan;

void Beolvasas(int &N, SzamSorozat Szamok) {
  clog << "Hany szam van? ";
  cin >> N;
  for (int i = 0; i < N; i++) {
    clog << "Az " << i + 1 << ". szam = ";
    cin >> Szamok[i];
  }
}

void Paros_Paratlan_Max(const int N, const SzamSorozat Szamok, 
                        bool &Van_Paros, int &Max_Paros,
                        bool &Van_Paratlan, int &Max_Paratlan,
                        int &Maxert_Paros, int &Maxert_Paratlan) {
  Maxert_Paros = INT_MIN;
  Maxert_Paratlan = INT_MIN;
  for (int i = 1; i <= N; i++) {
    if (Szamok[i - 1] % 2 == 0) {
      if (Szamok[i - 1] > Maxert_Paros) {
        Maxert_Paros = Szamok[i - 1];
        Max_Paros = i;
      }
    } else {
      if (Szamok[i - 1] > Maxert_Paratlan) {
        Maxert_Paratlan = Szamok[i - 1];
        Max_Paratlan = i;
      }
    }
  }
  Van_Paros = (Maxert_Paros != INT_MIN);
  Van_Paratlan = (Maxert_Paratlan != INT_MIN);
}

void Kiiras(const bool Van_Paros, const int Max_Paros,
            const bool Van_Paratlan, const int Max_Paratlan,
            const int Maxert_Paros, const int Maxert_Paratlan) {
  if (Van_Paros) {
    clog << "Van paros szam, a legnagyobb indexe es erteke: ";
    cout << Max_Paros << " " << Maxert_Paros << endl;
  } else {
    cout << "NINCS PAROS" << endl;
  }
  if (Van_Paratlan) {
    clog << "Van paratlan szam, a legnagyobb indexe es erteke: ";
    cout << Max_Paratlan << " " << Maxert_Paratlan << endl;
  } else {
    cout << "NINCS PARATLAN" << endl;
  }
}

int main() {
  
  Beolvasas(N, Szamok);
  Paros_Paratlan_Max(N, Szamok, Van_Paros, Max_Paros, Van_Paratlan, Max_Paratlan, Maxert_Paros, Maxert_Paratlan);
  Kiiras(Van_Paros, Max_Paros, Van_Paratlan, Max_Paratlan, Maxert_Paros, Maxert_Paratlan);
  
  return 0;
}