﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace feladat
{
    class Program
    {
        static void Beolvasás(out int N, int[] Számok)
        {
            //Elemszám beolvasása
            //A felhasználónak szánt tájékoztató üzenetek az Error csatotnára írandók! A standard output így nézne ki: Console.WriteLine("Hány eleme van a tömbnek?");
            //Például a kérdések:
            Console.Error.WriteLine("Hány számot olvasunk be? ");
            N = Convert.ToInt32(Console.ReadLine());
            //A tömb beolvasása
            for (int i = 0; i<N; i++)
            {
                Console.Error.WriteLine("A(z) "+(i+1)+". elem: ");
                Számok[i] = Convert.ToInt32(Console.ReadLine());
            }

        }

        static int Párosok_Összege(int N, int[] Számok)
        {
            int Páros_Összeg = 0;
            for (int i=0;i<N;i++)
            {
                if (Számok[i] % 2 == 0)
                {
                    Páros_Összeg = Páros_Összeg + Számok[i];
                }
            }
            return Páros_Összeg;
        }

        static void Kiírás(int Páros_Összeg)
        {
            //A kimenetet kísérő szövegek is az Error csatornára irandók!
            Console.Error.Write("A páros számok összege ");
            Console.WriteLine(Páros_Összeg);//lényeg: kimenet, csak ezt írjuk ki Console.WriteLine()-nal
            
        }

        static void Main(string[] args)
        {
            //F1. Adott N db egész szám. Adjuk össze közülük a párosakat!
            //Maximális elemszám
            const int MaxN = 100;
            //A tömb elemszámának deklarálása
            int N;
            //A tömb deklarálása
            int[] Számok = new int[MaxN];
            //Kimeneti adatok deklarálása
            int Páros_Összeg;
            //Beolvasás
            Beolvasás(out N, Számok);//out N: N kimeneti paraméter, tömbnél nincs külön jelölése
            //Lényegi megoldás
            Páros_Összeg = Párosok_Összege(N,Számok);
            //Kiírás
            Kiírás(Páros_Összeg);
        }
    }
}
