﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace feladat
{
    class Program
    {
        static void Beolvasás(out int N, int[] Számok)
        {
            //Elemszám beolvasása
            //A felhasználónak szánt tájékoztató üzenetek az Error csatotnára írandók! A standard output így nézne ki: Console.WriteLine("Hány eleme van a tömbnek?");
            //Például a kérdések:
            Console.Error.WriteLine("Hány számot olvasunk be? ");
            N = Convert.ToInt32(Console.ReadLine());
            //A tömb beolvasása
            for (int i = 1; i<=N; i++)
            {
                Console.Error.WriteLine("A(z) "+(i+1)+". elem: ");
                Számok[i] = Convert.ToInt32(Console.ReadLine());
            }

        }

        static void Legnagyobb_Páros_Szám(int N, int[] Számok, out bool Van, out int Max)
        {
            Max = 0;
            Számok[0] = Int32.MinValue;//-végtelen
            for (int i=1;i<=N;i++)
            {
                if (Számok[i] % 2 == 0 && Számok[i] > Számok[Max])
                {
                    Max = i; ;
                }
            }
            Van = (Max != 0);
        }

        static void Kiírás(int[] Számok, bool Van, int Max)
        {
            //A kimenetet kísérő szövegek is az Error csatornára irandók!
            if (Van)
            {
                Console.Error.Write("A legnagyobb páros szám összege ");
                Console.WriteLine(Számok[Max]);//lényeg: kimenet, csak ezt írjuk ki Console.WriteLine()-nal
            }
            else
            {
                Console.WriteLine("NINCS");
            }
            
        }

        static void Main(string[] args)
        {
            //F1. Adott N db egész szám. Adjuk össze közülük a párosakat!
            //Maximális elemszám
            const int MaxN = 100;
            //A tömb elemszámának deklarálása
            int N;
            //A tömb deklarálása
            int[] Számok = new int[MaxN+1];//A tömb 0. eleme -végtelen lesz, ezért kell +1 elem
            //Kimeneti adatok deklarálása
            int Max;
            bool Van;
            //Beolvasás
            Beolvasás(out N, Számok);//out N: N kimeneti paraméter, tömbnél nincs külön jelölése
            //Lényegi megoldás
            Legnagyobb_Páros_Szám(N,Számok,out Van, out Max);
            //Kiírás
            Kiírás(Számok,Van,Max);
        }
    }
}
