﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace feladat
{
    class Program
    {
        static void Beolvasás(out int N, int[] Számok)
        {
            //Elemszám beolvasása
            //A felhasználónak szánt tájékoztató üzenetek az Error csatotnára írandók! A standard output így nézne ki: Console.WriteLine("Hány eleme van a tömbnek?");
            //Például a kérdések:
            Console.Error.WriteLine("Hány számot olvasunk be? ");
            N = Convert.ToInt32(Console.ReadLine());
            //A tömb beolvasása
            for (int i = 0; i<N; i++)
            {
                Console.Error.WriteLine("A(z) "+(i+1)+". elem: ");
                Számok[i] = Convert.ToInt32(Console.ReadLine());
            }

        }

        static void Kiválogatás_másolás(int N, int[] Számok, out int Db, int[] Páros_Négyzetek)
        {
            Db = 0;
            for (int i=0;i<N;i++)
            {
                if (Számok[i] % 2 == 0)
                {
                    Db++;
                    Páros_Négyzetek[Db-1] = Számok[i]*Számok[i];
                }
            }
        }

        static void Kiírás(int Db, int[] Páros_Négyzetek)
        {
            //A kimenetet kísérő szövegek is az Error csatornára irandók!
            Console.Error.Write("A páros számok négyzeteinek elemszáma és az elemek: ");
            Console.Write(Db+" ");//lényeg: kimenet, csak ezt írjuk ki Console.WriteLine()-nal
            for (int i=0;i<Db;i++)
            {
                Console.Write(Páros_Négyzetek[i] + " ");
            }
            Console.WriteLine();
        }

        static void Main(string[] args)
        {
            //F3. Adott N db egész szám. Gyűjtsük ki közülük páros számok négyzeteit!
            //Maximális elemszám
            const int MaxN = 100;
            //A tömb elemszámának deklarálása
            int N;
            //A tömb deklarálása
            int[] Számok = new int[MaxN];
            //Kimeneti adatok deklarálása
            int Db;
            int[] Páros_Négyzetek = new int[MaxN];
            //Beolvasás
            Beolvasás(out N, Számok);//out N: N kimeneti paraméter, tömbnél nincs külön jelölése
            //Lényegi megoldás
            Kiválogatás_másolás(N,Számok,out Db,Páros_Négyzetek);
            //Kiírás
            Kiírás(Db,Páros_Négyzetek);
        }
    }
}
