//package sablon;

import java.io.IOException;
import java.lang.Math;
import java.io.PrintStream;

import mester.IO;


public class feladat {

    public feladat() {
    }

    static final int MaxN = 100;

    static class Input {
        int N;
        int[] Szamok = new int[MaxN];
    }

    static class Output {
        int Db;
        int[] Paros_Negyzetek = new int[MaxN];
    }

    static Input beolvas(IO io) throws IOException {
        PrintStream cerr = System.err;
        Input input = new Input();
        cerr.print("Hany szam van? ");
        input.N = io.nextInt();
        for (int i = 0; i < input.N; i++) {    // A 0. elemet kihagyva töltjük fel a tömböt
            cerr.print("Az " + (i + 1) + ". szam = ");
            input.Szamok[i] = io.nextInt();
        }
        return input;
    }

    static void kiir(IO io, Input input, Output output) throws IOException {
        io.write(output.Db);
        for (int i = 1; i <= output.Db; i++) {
            io.write(" " + output.Paros_Negyzetek[i - 1]);
        }
        io.writeLn("");
    }

    static Output Kivalogatas_masolas(Input input) {
        Output output = new Output();
        output.Db = 0;
        for (int i = 1; i <= input.N; i++) {
            if (input.Szamok[i - 1] % 2 == 0) {
                output.Paros_Negyzetek[output.Db] = input.Szamok[i - 1] * input.Szamok[i - 1];
                output.Db++;
            }
        }
        return output;
    }

    public static void main(String[] args) throws Exception {
        IO io = new IO();

        Input input = beolvas(io);

        Output output = Kivalogatas_masolas(input);

        kiir(io, input, output);

        io.close();
    }

}