Program Kivalogatas_Masolas_Program;
(*
  Feladat: Adott N db egsz szm. Gyjtsk ki kzlk pros szmok ngyzeteit!

  Kdols: IBM852
*)
  Const
    MaxN=100;
  Type
    TEgeszek=Array [1..MaxN] of Integer;
  Var
    N:Integer;
    Szamok:TEgeszek;
    Db:Integer;
    Paros_Negyzetek:TEgeszek;

  Procedure Beolvasas(Var N:Integer; Var Szamok:TEgeszek);
    Var
      i:integer;
  Begin
    //A felhasznlnak sznt tjkoztat zenetek az StrErr csatotnra randk!
    //Pldul a krdsek:
    Write(StdErr,'Hany szam van (0..',MaxN,'):');
    //A bemenetet nem ellenrizzk sem szintaktikai, sem szemantikai szempontbl.
    Readln(N);//0<=N<=MaxN
    For i:=1 to N do
    Begin
      Write(StdErr,i:3,'. szam:'); 
      Readln(Szamok[i]);
    End;
  End;

  Procedure Kivalogatas_Masolas(Const N:Integer; Var Szamok:TEgeszek; 
                                Var Db:Integer; Var Paros_Negyzetek:TEgeszek);
    Var
      i:Integer;
  Begin
    Db:=0;
    For i:=1 to N do 
    Begin
      If (Szamok[i] Mod 2)=0 then 
      Begin
        Inc(Db);//ugyanaz, mint Db:=Db+1
        Paros_Negyzetek[Db]:=Sqr(Szamok[i]);
      End;
    End;
  End;

  Procedure Kiiras(Const Db:Integer; Const Paros_Negyzetek:TEgeszek);
    Var
      i:Integer;
  Begin
    //A kimenetet ksr szvegek is az StdErr-re irandk!
    Write(StdErr,'Parosok szma, majd a negyzeteik:'); 
    Write(Db);//lnyeg: kimenet
    For i:=1 to Db do
    Begin
      Write(' ',Paros_Negyzetek[i]);//lnyeg: kimenet
    End;
    Writeln;
  End;
  
Begin
  Beolvasas(N,Szamok);
  Kivalogatas_Masolas(N,Szamok,Db,Paros_Negyzetek);
  Kiiras(Db,Paros_Negyzetek);
End.
